<?php 
use_helper('UrlFunctions'); 
use_helper('UtilFunctions'); 
if(myUser::getUser()->getRoleId() == "sys.ope") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	$idColaborador = myUser::getUser()->getIdColaborador();
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
 
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
 }
$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
	
$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fechaBalanceAbierto = $o_BalanceDiaDP->ObtenerDiaAbierto();
?>
<script>
findControl = function(){
  
  concatValueStr();
  
}
exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}
executeFind = function(str,action){ 
  
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('ped/grid', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('ipe/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('ipe/pdf')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  
  //str = str + '&block=001';
  //url = "<?//=buildUrl('ipe/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}
showTesis= function(id){
  parent.objMainTab.modalDialog('<?=buildUrl('ipe/show',"block=001")?>/id/'+id,{title:'Detalle Tesis',width:800,height:450});
}
function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('ped/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id,codigo){
  //buildUrl('doc/deleipe/id/'block=001'
  if(confirm("�Esta seguro de eliminar la ficha de la tesis de posicion " + codigo+ "?")){
      //objMainTab.reqBody('<? //=buildUrl('doc/add')?>','block=001&delete=1&id='+id);   
      parent.objMainTab.reqBody('<?=buildUrl('ipe/delete')?>','001&delete=1&cod=jj&id='+id);
  }
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php 
//Mercados
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

if(myUser::getUser()->getRoleId() == "sys.ope"){
	$o_ArArqueoCabeceraFN = new ArArqueoCabeceraFN();
	$o_ArArqueoCabeceraFN->setIdsucursal($IdSucursal);
	$o_ArArqueoCabeceraFN->setIdcolaborador($idColaborador);
	$o_ArArqueoCabeceraFN->setFecha($fechaBalanceAbierto);
	$a_o_ArArqueoCabeceraBN = $o_ArArqueoCabeceraFN->select();
	/*
	echo "<pre>";
	print_r($a_o_ArArqueoCabeceraBN);
	echo "</pre>";
	*/
	/*
	if(is_array($a_o_ArArqueoCabeceraBN)){
		foreach ($a_o_ArArqueoCabeceraBN as $key => $o_ArArqueoCabeceraBN){
			if($o_ArArqueoCabeceraBN->getEstado() == "P"){
				exit("No se permite ninguna operacion de ingreso de pagos hasta que complete arqueo y otros pagos");
			}
		}
	}else{
		exit("No se permite ninguna operacion de ingreso de pagos hasta que complete arqueo y otros pagos");
	}
	*/
}

?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <table border="0" cellpadding="0" cellspacing="0" width="100%" >
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Ingreso de Pedidos</li></td>
          <td align="right" valign="baseline">
            <!--<img name="add" src="/images/common/buttons/btnAdd.gif" onClick="parent.objMainTab.modalDialog('<?=buildUrl('ipe/add')?>','block=001')" style="cursor:pointer">-->
            <!--<img src="/images/common/buttons/btnExcel.gif" title="Exportar a Excel" onClick="exportFindControl('excel');" style="cursor:pointer"/>
            <img src="/images/common/buttons/btnPdf.gif" title="Exportar a PDF" onClick="exportFindControl('pdf');" style="cursor:pointer"/>-->
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDni">DNI</label></td>
                      <td width="85%" nowrap="nowrap" align="left"><input name="txtDni" id="txtDni" size="10" maxlength="10" type="text" class="text"/></td>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Nombres</label></td>
                      <td width="85%" nowrap="nowrap">
          						  <select name="cboTipoNombre" id="cboTipoNombre" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
          						  <option value="AP" > - Apellido Paterno- </option>
          						  <option value="AM" > - Apellido Materno- </option>
          						  <option value="NO" > - Nombres- </option>
                      </select></td>
					          <td width="80%" nowrap="nowrap"><input name="txtNombre" id="txtNombre" type="text"  size="35" class="text"/></td>
                    </tr>
                     <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtMercado">Mercado</label></td>
                      <td width="85%" nowrap="nowrap">
                      	 <select name="cboMercado" id="cboMercado" type="text" class="combo"/> 
            						 	<option value="" > - Seleccionar - </option>
            	               <?php foreach ($a_Mercado as $iKey => $o_MercadoBean){ ?>
            	               <option value="<?=$o_MercadoBean->getIdMercado()?>">
            	               <?=$o_MercadoBean->getDescripcion()?>
            	               </option>
            	            <?php } ?> 
            						 </select>
                      </td>
                    </tr>
                  </table>
                </td>
                <td width="50%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
                      <td width="20%" height="26" nowrap="nowrap"></td>
                      <td width="80%" nowrap="nowrap">
                    </tr>
                  </table>
                </td>
              </tr>
			  <tr>
			    <td align="right" style="vertical-align:top"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
			  </tr>
            </table>
          </td>
        </tr>
      </table>
       
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>

<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);   
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('txtivnid').value = "<?=$cod?>";
    $('cboTipoNombre').value = "<?=$cboTipoNombre?>";
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente."); 
    findControl();
  </script>
  <?php 
  
}
?>